
#import "b4i_convertmodule.h"
#import "b4i_main.h"
#import "b4i_about.h"


@implementation b4i_convertmodule 


+ (instancetype)new {
    static b4i_convertmodule* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 0;
}


- (NSString*)  _convert{
[B4IRDebugUtils shared].currentModule=@"convertmodule";
if ([B4IDebug shouldDelegate: @"convert"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"convert" :nil]);
[B4IRDebugUtils shared].currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub Convert";
[B4IRDebugUtils shared].currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="If Mode = \"Imperial\" Then";
if ([self._mode isEqual:@"Imperial"]) { 
[B4IRDebugUtils shared].currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="If LengthType = \"Inch\" Then";
if ([self._lengthtype isEqual:@"Inch"]) { 
[B4IRDebugUtils shared].currentLine=917507;
 //BA.debugLineNum = 917507;BA.debugLine="Hammer = Input / 0.75";
self._hammer = (float) (self._input/(double)0.75);
[B4IRDebugUtils shared].currentLine=917508;
 //BA.debugLineNum = 917508;BA.debugLine="Answer = Hammer";
self._answer = self._hammer;
 }else if([self._lengthtype isEqual:@"Feet"]) { 
[B4IRDebugUtils shared].currentLine=917510;
 //BA.debugLineNum = 917510;BA.debugLine="Hammer = Input * 12 / 0.75";
self._hammer = (float) (self._input*12/(double)0.75);
[B4IRDebugUtils shared].currentLine=917511;
 //BA.debugLineNum = 917511;BA.debugLine="Answer = Hammer";
self._answer = self._hammer;
 }else if([self._lengthtype isEqual:@"Yard"]) { 
[B4IRDebugUtils shared].currentLine=917513;
 //BA.debugLineNum = 917513;BA.debugLine="Hammer = Input * 36 / 0.75";
self._hammer = (float) (self._input*36/(double)0.75);
[B4IRDebugUtils shared].currentLine=917514;
 //BA.debugLineNum = 917514;BA.debugLine="Answer = Hammer";
self._answer = self._hammer;
 }else if([self._lengthtype isEqual:@"Mile"]) { 
[B4IRDebugUtils shared].currentLine=917516;
 //BA.debugLineNum = 917516;BA.debugLine="Hammer = Input * 63360 / 0.75";
self._hammer = (float) (self._input*63360/(double)0.75);
[B4IRDebugUtils shared].currentLine=917517;
 //BA.debugLineNum = 917517;BA.debugLine="Answer = Hammer";
self._answer = self._hammer;
 };
 }else if([self._mode isEqual:@"Metric"]) { 
[B4IRDebugUtils shared].currentLine=917520;
 //BA.debugLineNum = 917520;BA.debugLine="If LengthType = \"Centimeter\" Then";
if ([self._lengthtype isEqual:@"Centimeter"]) { 
[B4IRDebugUtils shared].currentLine=917521;
 //BA.debugLineNum = 917521;BA.debugLine="Hammer = Input * 10 / 19.05";
self._hammer = (float) (self._input*10/(double)19.05);
[B4IRDebugUtils shared].currentLine=917522;
 //BA.debugLineNum = 917522;BA.debugLine="Answer = Hammer";
self._answer = self._hammer;
 }else if([self._lengthtype isEqual:@"Millimeter"]) { 
[B4IRDebugUtils shared].currentLine=917524;
 //BA.debugLineNum = 917524;BA.debugLine="Hammer = Input / 19.05";
self._hammer = (float) (self._input/(double)19.05);
[B4IRDebugUtils shared].currentLine=917525;
 //BA.debugLineNum = 917525;BA.debugLine="Answer = Hammer";
self._answer = self._hammer;
 }else if([self._lengthtype isEqual:@"Meter"]) { 
[B4IRDebugUtils shared].currentLine=917527;
 //BA.debugLineNum = 917527;BA.debugLine="Hammer = Input * 1000 / 19.05";
self._hammer = (float) (self._input*1000/(double)19.05);
[B4IRDebugUtils shared].currentLine=917528;
 //BA.debugLineNum = 917528;BA.debugLine="Answer = Hammer";
self._answer = self._hammer;
 }else if([self._lengthtype isEqual:@"Kilometer"]) { 
[B4IRDebugUtils shared].currentLine=917530;
 //BA.debugLineNum = 917530;BA.debugLine="Hammer = Input * 1000000 / 19.05";
self._hammer = (float) (self._input*1000000/(double)19.05);
[B4IRDebugUtils shared].currentLine=917531;
 //BA.debugLineNum = 917531;BA.debugLine="Answer = Hammer";
self._answer = self._hammer;
 };
 };
[B4IRDebugUtils shared].currentLine=917534;
 //BA.debugLineNum = 917534;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _process_globals{
self._main=[b4i_main new];
self._about=[b4i_about new];
[B4IRDebugUtils shared].currentModule=@"convertmodule";
if ([B4IDebug shouldDelegate: @"process_globals"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"process_globals" :nil]);
[B4IRDebugUtils shared].currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Sub Process_Globals";
[B4IRDebugUtils shared].currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="Public Mode As String";
self._mode = @"";
[B4IRDebugUtils shared].currentLine=851971;
 //BA.debugLineNum = 851971;BA.debugLine="Public LengthType As String";
self._lengthtype = @"";
[B4IRDebugUtils shared].currentLine=851972;
 //BA.debugLineNum = 851972;BA.debugLine="Public Answer As Float";
self._answer = 0.0f;
[B4IRDebugUtils shared].currentLine=851973;
 //BA.debugLineNum = 851973;BA.debugLine="Public Hammer As Float";
self._hammer = 0.0f;
[B4IRDebugUtils shared].currentLine=851974;
 //BA.debugLineNum = 851974;BA.debugLine="Public Input As Float";
self._input = 0.0f;
[B4IRDebugUtils shared].currentLine=851975;
 //BA.debugLineNum = 851975;BA.debugLine="End Sub";
return @"";
}
@end