
#import "b4i_main.h"
#import "b4i_convertmodule.h"
#import "b4i_about.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 0;
}


- (NSString*)  _application_background{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_background"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_background" :nil]);
[B4IRDebugUtils shared].currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Private Sub Application_Background";
[B4IRDebugUtils shared].currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_start"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_start:" :@[_nav]]);
[B4IRDebugUtils shared].currentLine=65536;
 //BA.debugLineNum = 65536;BA.debugLine="Private Sub Application_Start (Nav As NavigationCo";
[B4IRDebugUtils shared].currentLine=65537;
 //BA.debugLineNum = 65537;BA.debugLine="NavControl = Nav";
self._navcontrol = _nav;
[B4IRDebugUtils shared].currentLine=65538;
 //BA.debugLineNum = 65538;BA.debugLine="Page1.Initialize(\"Page1\")";
[self._page1 Initialize:self.bi :@"Page1"];
[B4IRDebugUtils shared].currentLine=65539;
 //BA.debugLineNum = 65539;BA.debugLine="Page1.Title = \"Hammer Measure Utility\"";
[self._page1 setTitle:@"Hammer Measure Utility"];
[B4IRDebugUtils shared].currentLine=65540;
 //BA.debugLineNum = 65540;BA.debugLine="Page1.RootPanel.Color = Colors.White";
[[self._page1 RootPanel] setColor:[[self.__c Colors] White]];
[B4IRDebugUtils shared].currentLine=65541;
 //BA.debugLineNum = 65541;BA.debugLine="Page1.RootPanel.LoadLayout(\"MainLayout\")";
[[self._page1 RootPanel] LoadLayout:@"MainLayout" :self.bi];
[B4IRDebugUtils shared].currentLine=65542;
 //BA.debugLineNum = 65542;BA.debugLine="NavControl.ShowPage(Page1)";
[self._navcontrol ShowPage:(UIViewController*)((self._page1).object)];
[B4IRDebugUtils shared].currentLine=65543;
 //BA.debugLineNum = 65543;BA.debugLine="AboutBarButton.InitializeText(\"About\", \"About\")";
[self._aboutbarbutton InitializeText:@"About" :@"About"];
[B4IRDebugUtils shared].currentLine=65544;
 //BA.debugLineNum = 65544;BA.debugLine="Page1.TopLeftButtons = Array(AboutBarButton)";
[self._page1 setTopLeftButtons:[self.bi ArrayToList:[[B4IArray alloc]initObjectsWithData:@[[B4I nilToNSNull:(NSObject*)((self._aboutbarbutton).object)]]]]];
[B4IRDebugUtils shared].currentLine=65545;
 //BA.debugLineNum = 65545;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _convertbutton_click{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"convertbutton_click"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"convertbutton_click" :nil]);
[B4IRDebugUtils shared].currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Sub ConvertButton_Click";
[B4IRDebugUtils shared].currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="Try";
@try {[B4IRDebugUtils shared].currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="ConvertModule.Input = InputMeasurementField.Text";
self._convertmodule._input = [self.bi ObjectToNumber:[self._inputmeasurementfield Text]].floatValue;
[B4IRDebugUtils shared].currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="ConvertModule.Convert";
[self._convertmodule _convert];
[B4IRDebugUtils shared].currentLine=458756;
 //BA.debugLineNum = 458756;BA.debugLine="Msgbox(ConvertModule.Answer, \"Your measurement i";
[self.__c Msgbox:[self.bi NumberToString:@(self._convertmodule._answer)] :@"Your measurement in Hammer grid units:"];
 } 
       @catch (NSException* e72) {
			[B4I SetException:e72];[B4IRDebugUtils shared].currentLine=458758;
 //BA.debugLineNum = 458758;BA.debugLine="Log(LastException)";
[self.__c Log:[self.bi ObjectToString:[self.__c LastException]]];
[B4IRDebugUtils shared].currentLine=458759;
 //BA.debugLineNum = 458759;BA.debugLine="Msgbox(\"The above text field cannot be left blan";
[self.__c Msgbox:@"The above text field cannot be left blank." :@"Error:"];
 };
[B4IRDebugUtils shared].currentLine=458761;
 //BA.debugLineNum = 458761;BA.debugLine="Page1.ResignFocus";
[self._page1 ResignFocus];
[B4IRDebugUtils shared].currentLine=458762;
 //BA.debugLineNum = 458762;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _imperialsegmented_indexchanged:(int) _index{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"imperialsegmented_indexchanged"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"imperialsegmented_indexchanged:" :@[@(_index)]]);
[B4IRDebugUtils shared].currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub ImperialSegmented_IndexChanged (Index As Int)";
[B4IRDebugUtils shared].currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="If Index = 0 Then";
if (_index==0) { 
[B4IRDebugUtils shared].currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="ConvertModule.LengthType = \"Inch\"";
self._convertmodule._lengthtype = @"Inch";
 }else if(_index==1) { 
[B4IRDebugUtils shared].currentLine=327684;
 //BA.debugLineNum = 327684;BA.debugLine="ConvertModule.LengthType = \"Feet\"";
self._convertmodule._lengthtype = @"Feet";
 }else if(_index==2) { 
[B4IRDebugUtils shared].currentLine=327686;
 //BA.debugLineNum = 327686;BA.debugLine="ConvertModule.LengthType = \"Yard\"";
self._convertmodule._lengthtype = @"Yard";
 }else if(_index==3) { 
[B4IRDebugUtils shared].currentLine=327688;
 //BA.debugLineNum = 327688;BA.debugLine="ConvertModule.LengthType = \"Mile\"";
self._convertmodule._lengthtype = @"Mile";
 };
[B4IRDebugUtils shared].currentLine=327690;
 //BA.debugLineNum = 327690;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _measurementsystemsegmented_indexchanged:(int) _index{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"measurementsystemsegmented_indexchanged"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"measurementsystemsegmented_indexchanged:" :@[@(_index)]]);
[B4IRDebugUtils shared].currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub MeasurementSystemSegmented_IndexChanged (Index";
[B4IRDebugUtils shared].currentLine=262145;
 //BA.debugLineNum = 262145;BA.debugLine="If Index = 0 Then";
if (_index==0) { 
[B4IRDebugUtils shared].currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="ImperialSegmented.Visible = True";
[self._imperialsegmented setVisible:[self.__c True]];
[B4IRDebugUtils shared].currentLine=262147;
 //BA.debugLineNum = 262147;BA.debugLine="MetricSegmented.Visible = False";
[self._metricsegmented setVisible:[self.__c False]];
[B4IRDebugUtils shared].currentLine=262148;
 //BA.debugLineNum = 262148;BA.debugLine="ImperialSegmented.SelectedIndex = 0";
[self._imperialsegmented setSelectedIndex:(int) (0)];
[B4IRDebugUtils shared].currentLine=262149;
 //BA.debugLineNum = 262149;BA.debugLine="ConvertModule.LengthType = \"Inch\"";
self._convertmodule._lengthtype = @"Inch";
[B4IRDebugUtils shared].currentLine=262150;
 //BA.debugLineNum = 262150;BA.debugLine="ConvertModule.Mode = \"Imperial\"";
self._convertmodule._mode = @"Imperial";
 }else if(_index==1) { 
[B4IRDebugUtils shared].currentLine=262152;
 //BA.debugLineNum = 262152;BA.debugLine="MetricSegmented.Visible = True";
[self._metricsegmented setVisible:[self.__c True]];
[B4IRDebugUtils shared].currentLine=262153;
 //BA.debugLineNum = 262153;BA.debugLine="ImperialSegmented.Visible = False";
[self._imperialsegmented setVisible:[self.__c False]];
[B4IRDebugUtils shared].currentLine=262154;
 //BA.debugLineNum = 262154;BA.debugLine="MetricSegmented.SelectedIndex = 0";
[self._metricsegmented setSelectedIndex:(int) (0)];
[B4IRDebugUtils shared].currentLine=262155;
 //BA.debugLineNum = 262155;BA.debugLine="ConvertModule.Mode = \"Metric\"";
self._convertmodule._mode = @"Metric";
[B4IRDebugUtils shared].currentLine=262156;
 //BA.debugLineNum = 262156;BA.debugLine="ConvertModule.LengthType = \"Millimeter\"";
self._convertmodule._lengthtype = @"Millimeter";
 };
[B4IRDebugUtils shared].currentLine=262158;
 //BA.debugLineNum = 262158;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _metricsegmented_indexchanged:(int) _index{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"metricsegmented_indexchanged"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"metricsegmented_indexchanged:" :@[@(_index)]]);
[B4IRDebugUtils shared].currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub MetricSegmented_IndexChanged (Index As Int)";
[B4IRDebugUtils shared].currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="If Index = 0 Then";
if (_index==0) { 
[B4IRDebugUtils shared].currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="ConvertModule.LengthType = \"Millimeter\"";
self._convertmodule._lengthtype = @"Millimeter";
 }else if(_index==1) { 
[B4IRDebugUtils shared].currentLine=393220;
 //BA.debugLineNum = 393220;BA.debugLine="ConvertModule.LengthType = \"Centimeter\"";
self._convertmodule._lengthtype = @"Centimeter";
 }else if(_index==2) { 
[B4IRDebugUtils shared].currentLine=393222;
 //BA.debugLineNum = 393222;BA.debugLine="ConvertModule.LengthType = \"Meter\"";
self._convertmodule._lengthtype = @"Meter";
 }else if(_index==3) { 
[B4IRDebugUtils shared].currentLine=393224;
 //BA.debugLineNum = 393224;BA.debugLine="ConvertModule.LengthType = \"Kilometer\"";
self._convertmodule._lengthtype = @"Kilometer";
 };
[B4IRDebugUtils shared].currentLine=393226;
 //BA.debugLineNum = 393226;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_barbuttonclick:(NSString*) _tag{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"page1_barbuttonclick"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"page1_barbuttonclick:" :@[_tag]]);
[B4IRDebugUtils shared].currentLine=4063232;
 //BA.debugLineNum = 4063232;BA.debugLine="Sub Page1_BarButtonClick (Tag As String)";
[B4IRDebugUtils shared].currentLine=4063233;
 //BA.debugLineNum = 4063233;BA.debugLine="If Tag = \"About\" Then";
if ([_tag isEqual:@"About"]) { 
[B4IRDebugUtils shared].currentLine=4063234;
 //BA.debugLineNum = 4063234;BA.debugLine="About.Show";
[self._about _show];
 };
[B4IRDebugUtils shared].currentLine=4063236;
 //BA.debugLineNum = 4063236;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"page1_resize"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"page1_resize::" :@[@(_width),@(_height)]]);
[B4IRDebugUtils shared].currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As I";
[B4IRDebugUtils shared].currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];
[[b4i_convertmodule new]initializeModule];
[[b4i_about new]initializeModule];

}
- (NSString*)  _process_globals{
self._convertmodule=[b4i_convertmodule new];
self._about=[b4i_about new];
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"process_globals"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"process_globals" :nil]);
[B4IRDebugUtils shared].currentLine=0;
 //BA.debugLineNum = 0;BA.debugLine="Sub Process_Globals";
[B4IRDebugUtils shared].currentLine=3;
 //BA.debugLineNum = 3;BA.debugLine="Public App As Application";
self._app = [B4IApplicationWrapper new];
[B4IRDebugUtils shared].currentLine=4;
 //BA.debugLineNum = 4;BA.debugLine="Public NavControl As NavigationController";
self._navcontrol = [B4INavigationControllerWrapper new];
[B4IRDebugUtils shared].currentLine=5;
 //BA.debugLineNum = 5;BA.debugLine="Private Page1 As Page";
self._page1 = [B4IPage new];
[B4IRDebugUtils shared].currentLine=6;
 //BA.debugLineNum = 6;BA.debugLine="Private AboutBarButton As BarButton";
self._aboutbarbutton = [B4IBarButtonItemWrapper new];
[B4IRDebugUtils shared].currentLine=7;
 //BA.debugLineNum = 7;BA.debugLine="Private InputMeasurementField As TextField";
self._inputmeasurementfield = [B4ITextFieldWrapper new];
[B4IRDebugUtils shared].currentLine=8;
 //BA.debugLineNum = 8;BA.debugLine="Private ImperialSegmented As SegmentedControl";
self._imperialsegmented = [B4ISegmentedControlWrapper new];
[B4IRDebugUtils shared].currentLine=9;
 //BA.debugLineNum = 9;BA.debugLine="Private MetricSegmented As SegmentedControl";
self._metricsegmented = [B4ISegmentedControlWrapper new];
[B4IRDebugUtils shared].currentLine=10;
 //BA.debugLineNum = 10;BA.debugLine="Private MeasurementSystemSegmented As SegmentedCo";
self._measurementsystemsegmented = [B4ISegmentedControlWrapper new];
[B4IRDebugUtils shared].currentLine=11;
 //BA.debugLineNum = 11;BA.debugLine="End Sub";
return @"";
}
@end